/*
 * SupportWizard 2
 * 
 * Copyright (C) 2001 ISC corp. All Rights Reserved.
 * 
 * $Id: SWFuncColsMappingCreationInfo.java,v 1.4 2003/07/22 23:05:30 alexi Exp $
 * Created by Konstantin Sobolev (kos@supportwizard.com) on Dec 22, 2001
 * Last modification $Date: 2003/07/22 23:05:30 $
 */
package com.supportwizard.functionalities;

/**
 * This class contains all additional inforamtion neede by <code>SWFunctionalityBase</code> to
 * create all functionality column mappings. They will be created in <code>SWFunctionalityBase.ejbCreate()</code>.
 * 
 * @see com.supportwizard.functionalities.SWFunctionalityCreationInfo
 * 
 * @author <a href="mailto:kos@supportwizard.com">Konstantin Sobolev</a>
 * @version $Revision: 1.4 $
 */
public class SWFuncColsMappingCreationInfo {

  /**
   * Mapping alias.
   */
  public String alias;

  /**
   * Target column ID.
   */
  public Long   columnID;

  /**
   * Creates new <code>SWFuncColsMappingCreationInfo</code> with all fields set to <code>null</code>.
   */
  public SWFuncColsMappingCreationInfo() {
    alias = null;
    columnID = null;
  }

  /**
   * Creates new <code>SWFuncColsMappingCreationInfo</code> instance.
   * 
   * @param alias Mapping alias.
   * @param columnID Target column ID.
   */
  public SWFuncColsMappingCreationInfo(String alias, Long columnID) {
    this.alias = alias;
    this.columnID = columnID;
  }

  /**
   * Returns a string representation of the object.
   * 
   * @return  a string representation of the object.
   */
  public String toString() {
    StringBuffer res = new StringBuffer();

    res.append("[alias='").append(alias).append("',");
    res.append("columnID='").append(columnID).append("']");

    return res.toString();
  } 

}

