/*
 * SupportWizard 2
 * 
 * Copyright (C) 2001 ISC corp. All Rights Reserved.
 * 
 * $Id: SWFuncParameterCreationInfo.java,v 1.8 2003/07/22 23:05:30 alexi Exp $
 * Created by Konstantin Sobolev (kos@supportwizard.com)
 * Date: Sep 15, 2001
 * Time: 12:26:05 PM
 * 
 * Last modification $Date: 2003/07/22 23:05:30 $
 */
package com.supportwizard.functionalities;

/**
 * This class contains all additional inforamtion neede by <code>SWFunctionalityBase</code> to
 * create all functionality parameters. They will be created in <code>SWFunctionalityBase.ejbCreate()</code>.
 * 
 * @see com.supportwizard.functionalities.SWFunctionalityCreationInfo
 * 
 * @author Konstantin Sobolev (kos@supportwizard.com)
 * @version $Revision: 1.8 $
 */
public final class SWFuncParameterCreationInfo {

  /**
   * Parameter name.
   */
  public String paramName;

  /**
   * Parameter description.
   */
  public String paramDescription;

  /**
   * Initial parameter value.
   */
  public String paramDefaultValue;

  /**
   * Creates new <code>SWFuncParameterCreationInfo</code> with all fields set to <code>null</code>.
   */
  public SWFuncParameterCreationInfo() {
    this.paramName = null;
    this.paramDescription = null;
    this.paramDefaultValue = null;
  }

  /**
   * Creates new <code>SWFuncParameterCreationInfo</code> instance.
   * 
   * @param paramName Parameter name.
   * @param paramDescription Parameter description.
   * @param paramDefaultValue Initial parameter value.
   */
  public SWFuncParameterCreationInfo(String paramName, String paramDescription, String paramDefaultValue) {
    this.paramName = paramName;
    this.paramDescription = paramDescription;
    this.paramDefaultValue = paramDefaultValue;
  }

  /**
   * Returns a string representation of the object.
   * 
   * @return  a string representation of the object.
   */
  public String toString() {
    StringBuffer res = new StringBuffer();

    res.append("[param name='").append(paramName).append("',");
    res.append("param description='").append(paramDescription).append("',");
    res.append("param default value='").append(paramDefaultValue).append("']");

    return res.toString();
  } 

}

