/*
 * SupportWizard 2
 * 
 * Copyright (C) 2002 ISC corp. All Rights Reserved.
 * 
 * $Id: SWFunctionalitiesConstants.java,v 1.5 2003/07/22 23:05:30 alexi Exp $
 * Created by Konstantin Sobolev (kos@supportwizard.com) on 23.01.2003
 * Last modification $Date: 2003/07/22 23:05:30 $
 */
package com.supportwizard.functionalities;

/**
 * This class contains various constants used by functionalities environment.
 * 
 * @author <a href="mailto:kos@supportwizard.com" title="">Konstantin Sobolev</a>
 * @version $Revision: 1.5 $
 */
public final class SWFunctionalitiesConstants {

  // we don't want anyone to create instances of this class
  private SWFunctionalitiesConstants() {}

  /**
   * Possible value of the <code>operationInitiator</code> callbacks parameter, means that an event (record
   * modification, addition, removal etc.) was caused by API call.
   * @see SWFunctionalityLogic
   * @see com.supportwizard.functionalities.ejb.SWFunctionalityEventBroadcasterBean
   */
  public static final int BY_API = 1;

  /**
   * Possible value of the <code>operationInitiator</code> callbacks parameter, means that an event (record
   * modification, addition, removal etc.) is a result of user interaction with our WEB interface.
   * @see SWFunctionalityLogic
   * @see com.supportwizard.functionalities.ejb.SWFunctionalityEventBroadcasterBean
   */
  public static final int BY_WEB = 2;

  /**
   * Possible value of the <code>operationInitiator</code> callbacks parameter, means that an event (record
   * modification, addition, removal etc.) is a result of performing an email action.
   * @see SWFunctionalityLogic
   * @see com.supportwizard.functionalities.ejb.SWFunctionalityEventBroadcasterBean
   * @see com.supportwizard.actions.Action
   */
  public static final int BY_EMAIL = 3;  // I'm not sure the comment is correct...
}

