/*
 * SupportWizard 2
 * 
 * Copyright (C) 2001 ISC corp. All Rights Reserved.
 * 
 * $Id: SWFunctionalityException.java,v 1.8 2003/07/22 23:05:30 alexi Exp $
 * 
 * Created by Konstantin Sobolev (kos@supportwizard.com).
 * Date: Jul 9, 2001
 * Time: 9:40:57 PM
 */
package com.supportwizard.functionalities;

/**
 * Functionality exception. Can be thrown by
 * every functionality callback (<code>columnAdded</code>,
 * <code>columnRemoving</code> etc.). States that application-level exception occurred.
 * This means that system-level exception (problems while connecting to DB, unexpected
 * exceptions etc.) must not cause <code>SWFunctionalityException</code> to be thrown.
 * 
 * @see SWFunctionalityLogic
 * @author Konstantin Sobolev
 * @version $Revision: 1.8 $
 */
public class SWFunctionalityException extends Exception {

  /**
   * Constructs an <code>SWFunctionalityException</code> with pecified detail message.
   * 
   * @param msg Message.
   */
  public SWFunctionalityException(String msg) {
    super(msg);
  }

}

