/*
 * SupportWizard 2
 * 
 * Copyright (C) 2002 ISC corp. All Rights Reserved.
 * 
 * $Id: AHstTableManagerFactory.java,v 1.5 2003/07/22 23:05:31 alexi Exp $
 * Created by Konstantin Sobolev (kos@supportwizard.com) on Nov 1, 2002
 * Last modification $Date: 2003/07/22 23:05:31 $
 */
package com.supportwizard.functionalities.attributehistory;

import com.supportwizard.seance.Seance;
import org.apache.log4j.Logger;

/**
 * Factory for getting {@link AHstTableManager} implementation.
 * 
 * @author <a href="mailto:kos@supportwizard.com" title="">Konstantin Sobolev</a>
 * @version $Revision: 1.5 $
 */
public class AHstTableManagerFactory {
  private static final Logger log = Logger.getLogger(AHstTableManagerFactory.class);

  /**
   * Gets {@link AHstTableManager} implementation.
   * 
   * @return {@link AHstTableManager} implementation.
   */
  public static AHstTableManager getAHstTableManager(Seance seance) {

    // return new DbAHstTableManagerImpl();
    try {
      return new DictionaryAHstTableManagerImpl(seance);
    } catch (Exception e) {
      log.error("Error initializing DictionaryAHstTableManagerImpl", e);

      return null;
    } 
  } 

}

