package com.supportwizard.functionalities.attributehistory.ejb;

public class SWAttributeHistoryFunctionalityConst {
  public static final String FUNC_NAME = "AttributeHistory";
  public static final String FUNC_DESCRIPTION = "Attribute history functionality";
  public static final String FUNC_HOME_CLASS_NAME = 
    "com.supportwizard.functionalities.attributehistory.interfaces.SWAttributeHistoryFunctionalityHome";
  public static final String FUNC_HOME_JNDI_NAME = "functionalities/attributehistory/SWAttributeHistoryFunctionality";
  public final static String HISTORY_FIELD_TYPE_NAME = "'Attribute History' artificial column type";
  public final static String HISTORY_FIELD_DOMAIN_NAME = "'Attribute History' artificial column domain";

  /**
   * Name of an attribute that will hold explicitly specified virtual column name. In case of default
   * column name {@link #HISTORY_FIELD_NAME} will be used.
   */
  public static final String HISTORY_FIELD_NAME_ATTR = "AttrHistoryFieldName";

  /**
   * Default virtual field name where record history will be inserted. Can be specified
   * using {@link SWAttributeHistoryFunctionalityBean#ejbCreate(com.supportwizard.seance.Seance, com.supportwizard.dictionary.SWTable, String)}.
   */
  public static final String HISTORY_FIELD_NAME = "attribute history";

  /**
   * DB name of virtual field where an attribute history of the record will be inserted.
   */
  public static final String HISTORY_FIELD_DB_NAME = "attr_history";
}

